/* This subroutine takes care of the psuedo operation codes. If it finds
 * a valid psuedo operation, it processes it and returns 1 (TRUE).
 * Otherwise, it is not found, and it returns a 0 (FALSE).
 *
 * $Log: psuedop.c,v $
 * Revision 1.2  1997/06/04 01:18:37  david
 * ANSI-fied the program.
 *
 */
   
#include <stdio.h>
#include "poptab.h"

static char *RcsId = "$Id: psuedop.c,v 1.2 1997/06/04 01:18:37 david Exp $";
  
int psuedop( char *label, char *opcode, char *operand, char *lptr )
{
int i;
	
for ( i = 0; poptab[i].opname != NULL; i++ )
   if ( strcmp( opcode, poptab[i].opname ) == 0 )
      {
      (*poptab[i].procaddr) ( label, opcode, operand, lptr );
      return 1; /* Yep. We found it */
      }
	 
return 0; /* Nope. Operation not found */
}
